<?php
/**                               ______________________________________________
*                          o O   |                                              |
*                 (((((  o      <     JDom Class - Cook Self Service library    |
*                ( o o )         |______________________________________________|
* --------oOOO-----(_)-----OOOo---------------------------------- www.j-cook.pro --- +
* @version		2.5
* @package		Cook Self Service
* @subpackage	JDom
* @license		GNU General Public License
* @author		vlemos fork of Jocelyn HUARD 
*
*             .oooO  Oooo.
*             (   )  (   )
* -------------\ (----) /----------------------------------------------------------- +
*               \_)  (_/
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

class JDomHtmlFormInputMap extends JDomHtmlFormInput
{

	protected $domClass;
	protected $domId;
	protected $domName;
	protected $width;
	protected $height;

	/*
	 * Constuctor
	 *	@domClass	: HTML class
	 * 	@domId		: HTML id
	 *	@domName	: HTML name
	 *	@width		: Canvas width
	 *	@height		: Canvas height
	 *
	 */
	function __construct($args)
	{

		parent::__construct($args);
		$this->arg('domClass'	, null, $args);
		$this->arg('domId'		, null, $args);
		$this->arg('domName'	, null, $args);
		$this->arg('width'		, null, $args, 200);
		$this->arg('height'		, null, $args, 200);

	}

	function build()
	{
		$class = '';
		$name = '';
		
		if (isset($this->domClass))
		{
			$class = 'class="' . $this->domClass . '"';
		}

		if (isset($this->domName))
		{
			$name = 'name="' . $this->domName . '"';
		}

		$html = '<div style=\'overflow: hidden; height: ' . $this->height . 'px; width: ' . $this->width . 'px;\'>
					<div id=\'' . $this->domId . '\' ' . $name . ' ' . $class . ' style=\'height: inherit; width: inherit;\'></div>
					<style>
						#' . $this->domId . ' img{
							max-width: none !important;
							background: none !important
						}
					</style>
				</div>';

		return $html;		
	}
}